DeleteBatch
Deletes a run batch resource and its associated metadata. This operation does not delete the individual workflow runs. To delete the runs, call DeleteRunBatch before calling DeleteBatch.
DeleteBatch requires the batch to be in a terminal state: PROCESSED, FAILED, CANCELLED, or RUNS_DELETED. After DeleteBatch completes, the batch metadata is no longer accessible. You cannot call GetBatch, ListRunsInBatch, DeleteRunBatch, or CancelRunBatch on a deleted batch.
Request Syntax
DELETE /runBatch/batchId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- batchId
-
The identifier portion of the run batch ARN.
Length Constraints: Minimum length of 1. Maximum length of 18.
Pattern:
[0-9]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 202
Response Elements
If the action is successful, the service sends back an HTTP 202 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request cannot be applied to the target resource in its current state.
HTTP Status Code: 409
- InternalServerException
-
An unexpected error occurred. Try the request again.
HTTP Status Code: 500
- RequestTimeoutException
-
The request timed out.
HTTP Status Code: 408
- ResourceNotFoundException
-
The target resource was not found in the current Region.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request exceeds a service quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: